#!/bin/bash -xe
# Copyright 2018 RnD Center "ELVEES", JSC

rm -rf rootfs
mkdir rootfs
trap "sudo rm -rf $PWD/rootfs" EXIT
sudo multistrap -d rootfs -f capri-multistrap.conf
sudo cp /etc/resolv.conf rootfs/etc/
sudo mount -o bind /dev rootfs/dev
sudo mount -o bind /proc rootfs/proc
sudo mount -o bind /sys rootfs/sys
umt="sudo umount $PWD/rootfs/dev $PWD/rootfs/sys $PWD/rootfs/proc"
trap "$umt;sudo rm -rf $PWD/rootfs" EXIT
sudo cp chrootscript rootfs/bin
sudo chroot rootfs /bin/bash chrootscript
$umt
trap "sudo rm -rf $PWD/rootfs" EXIT
pushd rootfs
sudo tar -czf ../debian-rootfs.tar.gz ./*
popd
sudo chown $USER debian-rootfs.tar.gz
